import os

Node('varioxbstick.psi.ch',
     'variox B standard sample stick',
)

frappy_main_port = os.environ.get('FRAPPY_MAIN_PORT', 0)

Mod('itc1_',
    'frappy.core.Proxy',
    'itc1 on main frappy server',
    remote_class = 'frappy_psi.mercury.IO',
    uri = f'tcp://localhost:{frappy_main_port}',
    module='itc1',
    # export = False,
)


Mod('T_sample',
    'frappy_psi.mercury.TemperatureLoop',
    'T at sample stick sensor',
    meaning=['temperature', 30],
    io='itc1_',
    slot='MB1.T1',
)

Mod('htr_sample',
    'frappy_psi.mercury.HeaterOutput',
    'sample stick heater power',
    slot='MB0.H1',
    io='itc1_',
)
